Bug 59295 - problem with xmodmap files
problem with xmodmap files
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Aaron Brown
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-04 14:39 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 21:29:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-04 14:39:48 EST
Some files (like 
/usr/share/xmodmap/xmodmap.ru_yawerty
and
/usr/share/xmodmap/xmodmap.ru
)
do not have mode toggle switch working correctly.
after 
xmodmap /usr/share/xmodmap/xmodmap.ru
switching (righ control) to russian letters
turns all letters to uppercase and caps_lock does not work.
In the same time mode shift (right "windows" key)
works OK.

to test

export LC_CTYPE=ru_RU.koi8r
xmodmap /usr/share/xmodmap/xmodmap.ru_yawerty
xterm -fn -adobe-courier-medium-r-normal--18-180-75-75-m-110-koi8-r

you will see that russian letters in xterm can be typed 
only in uppercase if right control is used for switching modes.
Comment 1 Mike A. Harris 2002-02-05 03:29:09 EST
Do you have a patch to fix this behaviour?
Comment 2 Need Real Name 2002-02-05 06:08:51 EST
>Do you have a patch to fix this behaviour?
No.

I also tried another xmodmap 
by "Serge Vakulenko, <vak@kiae.su>, Moscow.",
file cyrillic/yawerty.koi8.xmm which is pretty old (1993) from

http://www.funet.fi/pub/culture/russian/comp/unix/cyrillic.tar.gz

It uses CAPS_LOCK as language switch and has exactly the same problem.
I suspect something changed in recent X or may be gnome.
Seems that language switch somehow started interacting with 
Caps_lock.
Comment 3 Need Real Name 2002-02-05 09:54:03 EST
Also, forgot to write that
to avoid any intercation with Xkb I have
   Option	"XkbDisable"

in X server config
Comment 4 Mike A. Harris 2002-02-09 12:33:48 EST
Unfortunately without knowing how this stuff should actually be set up,
I can only really make random guesses, and probably make things worse,
so I'm inclined to let someone who does know how it should be set up
provide a patch to XFree86.org, and pick it up from them when I sync.

I recommend reporting this upstream to XFree86.org also on the
xpert@xfree86.org mailing list to get wider coverage.  In the mean time,
I will see if I can try to find some fix online.
Comment 5 Mike A. Harris 2002-05-30 04:08:10 EDT
[root@asdf root]# rpm -qf /usr/share/xmodmap/xmodmap.ru
gnome-applets-1.4.0.1-6

Not an X problem.
Comment 6 Havoc Pennington 2002-05-30 07:55:42 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=83514
Comment 7 Havoc Pennington 2003-01-12 21:29:12 EST
Upstream

Note You need to log in before you can comment on or make changes to this bug.